#include<iostream>
using namespace std;
int main()
{
     int a, k, skoci=0;
     long long b;
     cin>>a>>b>>k;
     while(a<b)
     {
         if((b-2)%k==0 or b-1==a)b--;
         else b-=2;
         skoci++;
     }
     cout<<skoci<<"\n";

    return 0;
}
